Index: trunk/doc/Flair/classflair_1_1core_1_1_double_type.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_double_type.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1core_1_1_double_type.js	(revision 34)
@@ -0,0 +1,5 @@
+var classflair_1_1core_1_1_double_type =
+[
+    [ "DoubleType", "classflair_1_1core_1_1_double_type.html#a0cd3060c8e8270352de455b9f1a76a1e", null ],
+    [ "GetDescription", "classflair_1_1core_1_1_double_type.html#a13238f48c208e8ad13bd7dd073fae4cf", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 34)
@@ -0,0 +1,41 @@
+var classflair_1_1core_1_1_gps_data =
+[
+    [ "Type", "classflair_1_1core_1_1_gps_data_1_1_type.html", "classflair_1_1core_1_1_gps_data_1_1_type" ],
+    [ "PlotableData_t", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d", [
+      [ "Latitude", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29", null ],
+      [ "Longitude", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c", null ],
+      [ "Altitude", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87", null ],
+      [ "NumberOfSatellites", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b", null ],
+      [ "FixQuality", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340", null ],
+      [ "East", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2", null ],
+      [ "North", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80", null ],
+      [ "Up", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00", null ],
+      [ "EastVelocity", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173", null ],
+      [ "NorthVelocity", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd", null ]
+    ] ],
+    [ "FixQuality_t", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6", [
+      [ "Invalid", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4bbb8f967da6d1a610596d7257179c2b", null ],
+      [ "Gps", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a06960407a35b206422d40932f13c8d91", null ],
+      [ "DGps", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51", null ],
+      [ "Pps", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829", null ],
+      [ "Rtk", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116", null ],
+      [ "RtkFloat", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413", null ],
+      [ "Estimated", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a3c311fbd0f9e51ce27b984f55164cf83", null ],
+      [ "Manual", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301", null ],
+      [ "Simulation", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94", null ]
+    ] ],
+    [ "GpsData", "classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7", null ],
+    [ "~GpsData", "classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8", null ],
+    [ "Element", "classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41", null ],
+    [ "GetLla", "classflair_1_1core_1_1_gps_data.html#ad6f06899b7281ad2680e47d37671845b", null ],
+    [ "SetLla", "classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073", null ],
+    [ "GetEnu", "classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d", null ],
+    [ "SetEnu", "classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c", null ],
+    [ "GetVelocity", "classflair_1_1core_1_1_gps_data.html#ad1a9ba4c575e7b9e24a9b9f0e68a61c5", null ],
+    [ "SetVelocity", "classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58", null ],
+    [ "GetNumberOfSatellites", "classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f", null ],
+    [ "SetNumberOfSatellites", "classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff", null ],
+    [ "GetFixQuality", "classflair_1_1core_1_1_gps_data.html#a3cfaba20bdb233f7aa5605f3286e642e", null ],
+    [ "SetFixQuality", "classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8", null ],
+    [ "GetDataType", "classflair_1_1core_1_1_gps_data.html#a7879d663abd8f65c224c25ac4479880d", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1_gps_data_1_1_type.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_gps_data_1_1_type.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1core_1_1_gps_data_1_1_type.js	(revision 34)
@@ -0,0 +1,6 @@
+var classflair_1_1core_1_1_gps_data_1_1_type =
+[
+    [ "Type", "classflair_1_1core_1_1_gps_data_1_1_type.html#ad0cb7de7f828500e4f5c3a113b583ef1", null ],
+    [ "GetDescription", "classflair_1_1core_1_1_gps_data_1_1_type.html#a3808fb21ce8529265cef76f60a9466c1", null ],
+    [ "GetSize", "classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1_unsigned_integer_type.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_unsigned_integer_type.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1core_1_1_unsigned_integer_type.js	(revision 34)
@@ -0,0 +1,5 @@
+var classflair_1_1core_1_1_unsigned_integer_type =
+[
+    [ "UnsignedIntegerType", "classflair_1_1core_1_1_unsigned_integer_type.html#ae0d7cb20d8e88cd696ce8e0d53861d0d", null ],
+    [ "GetDescription", "classflair_1_1core_1_1_unsigned_integer_type.html#a00e8774b4a93d71d438055dd2622dfe4", null ]
+];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 34)
@@ -0,0 +1,27 @@
+var classflair_1_1sensor_1_1_nmea_gps =
+[
+    [ "NMEAFlags_t", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967", [
+      [ "GGA", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07", null ],
+      [ "VTG", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0", null ],
+      [ "GST", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e", null ]
+    ] ],
+    [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf", null ],
+    [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba", null ],
+    [ "~NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9", null ],
+    [ "GetDatas", "classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0", null ],
+    [ "UseDefaultPlot", "classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48", null ],
+    [ "EPlot", "classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920", null ],
+    [ "NPlot", "classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086", null ],
+    [ "UPlot", "classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c", null ],
+    [ "VEPlot", "classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa", null ],
+    [ "VNPlot", "classflair_1_1sensor_1_1_nmea_gps.html#af0aa37ed1f045aa5096e16f9a773e318", null ],
+    [ "GetTab", "classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9", null ],
+    [ "GetLayout", "classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95", null ],
+    [ "GetPlotTab", "classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6", null ],
+    [ "SetRef", "classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e", null ],
+    [ "GetEnu", "classflair_1_1sensor_1_1_nmea_gps.html#a79938d8f65af8727dec1f0a639054816", null ],
+    [ "parseFrame", "classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8", null ],
+    [ "GetDatas", "classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676", null ],
+    [ "GetGroupBox", "classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551", null ],
+    [ "NMEAFlags", "classflair_1_1sensor_1_1_nmea_gps.html#a41ca62c8875131b8cc3d2bbf7429a008", null ]
+];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 34)
@@ -0,0 +1,6 @@
+var classflair_1_1simulator_1_1_fixed_camera =
+[
+    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#ae346521445d640a48a1b167de2e456f1", null ],
+    [ "~FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#a948a61047e7affb9cdd5e528ec4fea29", null ],
+    [ "animateNode", "classflair_1_1simulator_1_1_fixed_camera.html#a179bfa24ee9a02abbd733adecc776142", null ]
+];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js	(revision 33)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js	(revision 34)
@@ -7,7 +7,8 @@
     [ "getMesh", "classflair_1_1simulator_1_1_gui.html#a427b995fa8ed42f2fe741d29abdbcb07", null ],
     [ "getSceneManager", "classflair_1_1simulator_1_1_gui.html#a5ea4b29e748ce4bee0ce64c6859a0907", null ],
+    [ "getDevice", "classflair_1_1simulator_1_1_gui.html#a8819401f6736c30e1c9b917d68c56e9f", null ],
     [ "getAspectRatio", "classflair_1_1simulator_1_1_gui.html#ad99fd047f42a3c280e531673a25f5aba", null ],
-    [ "getDevice", "classflair_1_1simulator_1_1_gui.html#a8819401f6736c30e1c9b917d68c56e9f", null ],
     [ "setMesh", "classflair_1_1simulator_1_1_gui.html#a4cfa5253009dd7a8f0756c19ed097296", null ],
-    [ "::Simulator_impl", "classflair_1_1simulator_1_1_gui.html#a4fdb5f6239ccba607cc943ea485c68f1", null ]
+    [ "::Simulator_impl", "classflair_1_1simulator_1_1_gui.html#a4fdb5f6239ccba607cc943ea485c68f1", null ],
+    [ "VisualizationCamera", "classflair_1_1simulator_1_1_gui.html#a468b82cb141bdd519ef14c6e6dce0f5d", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_model.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_model.js	(revision 33)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_model.js	(revision 34)
@@ -11,5 +11,4 @@
     [ "::Simulator_impl", "classflair_1_1simulator_1_1_model.html#a4fdb5f6239ccba607cc943ea485c68f1", null ],
     [ "::Model_impl", "classflair_1_1simulator_1_1_model.html#aef3411812a41ce110d8d3a796f9cd56b", null ],
-    [ "AnimPoursuite", "classflair_1_1simulator_1_1_model.html#adbd69d43aab4645e2540bcfbfcdf0aa7", null ],
     [ "sensor::SensorGL", "classflair_1_1simulator_1_1_model.html#ab79d1ce9c7b8706182dfbd8dbc7289dc", null ],
     [ "state", "classflair_1_1simulator_1_1_model.html#a9133339bb0ef62375abee0cf65a04f9e", null ]
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js	(revision 34)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js	(revision 34)
@@ -0,0 +1,14 @@
+var classflair_1_1simulator_1_1_visualization_camera =
+[
+    [ "VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html#a3ea1eff51f053d881aebfcab6eef42b5", null ],
+    [ "~VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html#a37457e3f62ec324f6a8c5116e5ef27e8", null ],
+    [ "createClone", "classflair_1_1simulator_1_1_visualization_camera.html#a4e5d590e6bb93f759c4dbb9d227f0d43", null ],
+    [ "OnEvent", "classflair_1_1simulator_1_1_visualization_camera.html#af0b2e8a322217805db4e42a6e9d3d2e8", null ],
+    [ "getCameraSceneNode", "classflair_1_1simulator_1_1_visualization_camera.html#aee63f36269614f956ca607ae36d191fb", null ],
+    [ "getName", "classflair_1_1simulator_1_1_visualization_camera.html#add4b9d179dbd2bd8422bd49239b33dcb", null ],
+    [ "LMouseKey", "classflair_1_1simulator_1_1_visualization_camera.html#a275488408235bb7d13171714c7dae00c", null ],
+    [ "camera", "classflair_1_1simulator_1_1_visualization_camera.html#af31e96590ba885c4e6b9ae4b3223f885", null ],
+    [ "MousePos", "classflair_1_1simulator_1_1_visualization_camera.html#a179401c09a6a0c3ec733658e6aed06c4", null ],
+    [ "currentZoom", "classflair_1_1simulator_1_1_visualization_camera.html#a5c08e08f09414391a13423ea15bf3d8f", null ],
+    [ "name", "classflair_1_1simulator_1_1_visualization_camera.html#ac1b5a4957956ecae606fd5111dd3120a", null ]
+];
Index: trunk/doc/Flair/files.js
===================================================================
--- trunk/doc/Flair/files.js	(revision 33)
+++ trunk/doc/Flair/files.js	(revision 34)
@@ -83,4 +83,5 @@
       [ "EulerDerivative", "classflair_1_1filter_1_1_euler_derivative.html", "classflair_1_1filter_1_1_euler_derivative" ]
     ] ],
+    [ "FixedCamera.h", "_fixed_camera_8h_source.html", null ],
     [ "FrameworkManager.h", "_framework_manager_8h.html", "_framework_manager_8h" ],
     [ "GeoCoordinate.h", "_geo_coordinate_8h.html", [
@@ -315,4 +316,5 @@
       [ "Vector3DSpinBox", "classflair_1_1gui_1_1_vector3_d_spin_box.html", "classflair_1_1gui_1_1_vector3_d_spin_box" ]
     ] ],
+    [ "VisualizationCamera.h", "_visualization_camera_8h_source.html", null ],
     [ "VrpnClient.h", "_vrpn_client_8h.html", [
       [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html", "classflair_1_1sensor_1_1_vrpn_client" ]
Index: trunk/doc/Flair/hierarchy.js
===================================================================
--- trunk/doc/Flair/hierarchy.js	(revision 33)
+++ trunk/doc/Flair/hierarchy.js	(revision 34)
@@ -27,5 +27,8 @@
     ] ],
     [ "ISceneNodeAnimator", null, [
-      [ "flair::sensor::SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html", null ]
+      [ "flair::sensor::SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html", null ],
+      [ "flair::simulator::VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html", [
+        [ "flair::simulator::FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html", null ]
+      ] ]
     ] ],
     [ "flair::gui::LayoutPosition", "classflair_1_1gui_1_1_layout_position.html", null ],
Index: trunk/doc/Flair/namespaceflair_1_1simulator.js
===================================================================
--- trunk/doc/Flair/namespaceflair_1_1simulator.js	(revision 33)
+++ trunk/doc/Flair/namespaceflair_1_1simulator.js	(revision 34)
@@ -4,4 +4,5 @@
     [ "Castle", "classflair_1_1simulator_1_1_castle.html", "classflair_1_1simulator_1_1_castle" ],
     [ "DiscreteTimeVariable", "classflair_1_1simulator_1_1_discrete_time_variable.html", "classflair_1_1simulator_1_1_discrete_time_variable" ],
+    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html", "classflair_1_1simulator_1_1_fixed_camera" ],
     [ "Gui", "classflair_1_1simulator_1_1_gui.html", "classflair_1_1simulator_1_1_gui" ],
     [ "Man", "classflair_1_1simulator_1_1_man.html", "classflair_1_1simulator_1_1_man" ],
@@ -10,4 +11,5 @@
     [ "Parser", "classflair_1_1simulator_1_1_parser.html", "classflair_1_1simulator_1_1_parser" ],
     [ "Simulator", "classflair_1_1simulator_1_1_simulator.html", "classflair_1_1simulator_1_1_simulator" ],
+    [ "VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html", "classflair_1_1simulator_1_1_visualization_camera" ],
     [ "X4", "classflair_1_1simulator_1_1_x4.html", "classflair_1_1simulator_1_1_x4" ],
     [ "X8", "classflair_1_1simulator_1_1_x8.html", "classflair_1_1simulator_1_1_x8" ]
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 33)
+++ trunk/doc/Flair/navtreedata.js	(revision 34)
@@ -31,10 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vrpn_client_8h_source.html",
-"classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229",
-"classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460",
-"classflair_1_1gui_1_1_combo_box.html#a94dfafa39f93e5d57b68ab72305c38b4",
-"classflair_1_1meta_1_1_x_air.html#aad0ad84b7d771c368341943568337c37",
-"classflair_1_1sensor_1_1_target_eth_controller.html"
+"_visualization_camera_8h_source.html",
+"classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8",
+"classflair_1_1core_1_1_vector3_d.html#ad938aaec265b052b291a62ef43d2684d",
+"classflair_1_1gui_1_1_combo_box.html#a28c0ddd20a867c6dfb168da0d1bb39ec",
+"classflair_1_1meta_1_1_x_air.html",
+"classflair_1_1sensor_1_1_target_controller.html#afa9256a134754f3cd321009f0c721e4f",
+"structflair_1_1simulator_1_1_model_1_1simu__state.html"
 ];
 
